Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalar_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalar_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalar_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_scalar_attr)  &
-    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -19,4 +19,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
@@ -27,10 +28,10 @@
       (scalar_id,scalar_hdl)
       CALL xios(set_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalar_attr)
 
   SUBROUTINE xios(set_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -38,4 +39,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
@@ -44,10 +46,10 @@
 
       CALL xios(set_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalar_attr_hdl)
 
   SUBROUTINE xios(set_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -55,4 +57,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
@@ -70,4 +73,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_set_scalar_prec &
+      (scalar_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         CALL cxios_set_scalar_scalar_ref &
@@ -93,5 +101,5 @@
 
   SUBROUTINE xios(get_scalar_attr)  &
-    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -100,4 +108,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
@@ -108,10 +117,10 @@
       (scalar_id,scalar_hdl)
       CALL xios(get_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalar_attr)
 
   SUBROUTINE xios(get_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -119,4 +128,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
@@ -125,10 +135,10 @@
 
       CALL xios(get_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalar_attr_hdl)
 
   SUBROUTINE xios(get_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -136,4 +146,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
@@ -151,4 +162,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_get_scalar_prec &
+      (scalar_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         CALL cxios_get_scalar_scalar_ref &
@@ -174,5 +190,5 @@
 
   SUBROUTINE xios(is_defined_scalar_attr)  &
-    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_id, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -183,4 +199,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
       LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
@@ -195,10 +213,10 @@
       (scalar_id,scalar_hdl)
       CALL xios(is_defined_scalar_attr_hdl_)   &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalar_attr)
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl)  &
-    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -208,4 +226,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
       LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
@@ -218,10 +238,10 @@
 
       CALL xios(is_defined_scalar_attr_hdl_)  &
-      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalar_hdl, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalar_attr_hdl)
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl_)   &
-    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+    ( scalar_hdl, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -231,4 +251,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
+      LOGICAL(KIND=C_BOOL) :: prec__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref_
       LOGICAL(KIND=C_BOOL) :: scalar_ref__tmp
@@ -252,4 +274,10 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        prec__tmp = cxios_is_defined_scalar_prec &
+      (scalar_hdl%daddr)
+        prec_ = prec__tmp
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         scalar_ref__tmp = cxios_is_defined_scalar_scalar_ref &
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalargroup_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -20,4 +20,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
@@ -28,10 +29,12 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(set_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(set_scalargroup_attr)
 
   SUBROUTINE xios(set_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+     )
 
     IMPLICIT NONE
@@ -40,4 +43,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
@@ -46,11 +50,12 @@
 
       CALL xios(set_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(set_scalargroup_attr_hdl)
 
   SUBROUTINE xios(set_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
-     )
+    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
+    , value_ )
 
     IMPLICIT NONE
@@ -59,4 +64,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
@@ -79,4 +85,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_set_scalargroup_prec &
+      (scalargroup_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         CALL cxios_set_scalargroup_scalar_ref &
@@ -102,5 +113,5 @@
 
   SUBROUTINE xios(get_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -110,4 +121,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
@@ -118,10 +130,12 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(get_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(get_scalargroup_attr)
 
   SUBROUTINE xios(get_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+     )
 
     IMPLICIT NONE
@@ -130,4 +144,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
@@ -136,11 +151,12 @@
 
       CALL xios(get_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(get_scalargroup_attr_hdl)
 
   SUBROUTINE xios(get_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
-     )
+    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
+    , value_ )
 
     IMPLICIT NONE
@@ -149,4 +165,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
@@ -169,4 +186,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_get_scalargroup_prec &
+      (scalargroup_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         CALL cxios_get_scalargroup_scalar_ref &
@@ -192,5 +214,5 @@
 
   SUBROUTINE xios(is_defined_scalargroup_attr)  &
-    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_id, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -203,4 +225,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
       LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
@@ -215,10 +239,12 @@
       (scalargroup_id,scalargroup_hdl)
       CALL xios(is_defined_scalargroup_attr_hdl_)   &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr)
 
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl)  &
-    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+    ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+     )
 
     IMPLICIT NONE
@@ -230,4 +256,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
       LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
@@ -240,11 +268,12 @@
 
       CALL xios(is_defined_scalargroup_attr_hdl_)  &
-      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+      ( scalargroup_hdl, group_ref, long_name, name, prec, scalar_ref, standard_name, unit, value  &
+       )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)   &
-    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
-     )
+    ( scalargroup_hdl, group_ref_, long_name_, name_, prec_, scalar_ref_, standard_name_, unit_  &
+    , value_ )
 
     IMPLICIT NONE
@@ -256,4 +285,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
+      LOGICAL(KIND=C_BOOL) :: prec__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref_
       LOGICAL(KIND=C_BOOL) :: scalar_ref__tmp
@@ -283,4 +314,10 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        prec__tmp = cxios_is_defined_scalargroup_prec &
+      (scalargroup_hdl%daddr)
+        prec_ = prec__tmp
+      ENDIF
+
       IF (PRESENT(scalar_ref_)) THEN
         scalar_ref__tmp = cxios_is_defined_scalargroup_scalar_ref &
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -18,4 +18,5 @@
       CHARACTER(LEN=*), INTENT(IN) ::variable_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -23,27 +24,29 @@
       (variable_id,variable_hdl)
       CALL xios(set_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(set_variable_attr)
 
   SUBROUTINE xios(set_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(set_variable_attr_hdl)
 
   SUBROUTINE xios(set_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -51,4 +54,9 @@
         CALL cxios_set_variable_name &
       (variable_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_set_variable_ts_target &
+      (variable_hdl%daddr, ts_target_, len(ts_target_))
       ENDIF
 
@@ -61,5 +69,5 @@
 
   SUBROUTINE xios(get_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -67,4 +75,5 @@
       CHARACTER(LEN=*), INTENT(IN) ::variable_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -72,27 +81,29 @@
       (variable_id,variable_hdl)
       CALL xios(get_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(get_variable_attr)
 
   SUBROUTINE xios(get_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(get_variable_attr_hdl)
 
   SUBROUTINE xios(get_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -100,4 +111,9 @@
         CALL cxios_get_variable_name &
       (variable_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_get_variable_ts_target &
+      (variable_hdl%daddr, ts_target_, len(ts_target_))
       ENDIF
 
@@ -110,5 +126,5 @@
 
   SUBROUTINE xios(is_defined_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -117,4 +133,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -123,10 +141,10 @@
       (variable_id,variable_hdl)
       CALL xios(is_defined_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variable_attr)
 
   SUBROUTINE xios(is_defined_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
@@ -134,14 +152,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
       CALL xios(is_defined_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variable_attr_hdl)
 
   SUBROUTINE xios(is_defined_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -149,4 +169,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target_
+      LOGICAL(KIND=C_BOOL) :: ts_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -156,4 +178,10 @@
       (variable_hdl%daddr)
         name_ = name__tmp
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        ts_target__tmp = cxios_is_defined_variable_ts_target &
+      (variable_hdl%daddr)
+        ts_target_ = ts_target__tmp
       ENDIF
 
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -19,4 +19,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -24,10 +25,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(set_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(set_variablegroup_attr)
 
   SUBROUTINE xios(set_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -35,13 +36,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(set_variablegroup_attr_hdl)
 
   SUBROUTINE xios(set_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -49,4 +51,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -61,4 +64,9 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_set_variablegroup_ts_target &
+      (variablegroup_hdl%daddr, ts_target_, len(ts_target_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_set_variablegroup_type &
@@ -69,5 +77,5 @@
 
   SUBROUTINE xios(get_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -76,4 +84,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -81,10 +90,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(get_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(get_variablegroup_attr)
 
   SUBROUTINE xios(get_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -92,13 +101,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(get_variablegroup_attr_hdl)
 
   SUBROUTINE xios(get_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -106,4 +116,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -118,4 +129,9 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_get_variablegroup_ts_target &
+      (variablegroup_hdl%daddr, ts_target_, len(ts_target_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_get_variablegroup_type &
@@ -126,5 +142,5 @@
 
   SUBROUTINE xios(is_defined_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -135,4 +151,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -141,10 +159,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(is_defined_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variablegroup_attr)
 
   SUBROUTINE xios(is_defined_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -154,14 +172,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
       CALL xios(is_defined_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variablegroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -171,4 +191,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target_
+      LOGICAL(KIND=C_BOOL) :: ts_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -186,4 +208,10 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        ts_target__tmp = cxios_is_defined_variablegroup_ts_target &
+      (variablegroup_hdl%daddr)
+        ts_target_ = ts_target__tmp
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         type__tmp = cxios_is_defined_variablegroup_type &
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/scalar_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 1158)
@@ -50,4 +50,23 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
     END FUNCTION cxios_is_defined_scalar_name
+
+
+    SUBROUTINE cxios_set_scalar_prec(scalar_hdl, prec) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: prec
+    END SUBROUTINE cxios_set_scalar_prec
+
+    SUBROUTINE cxios_get_scalar_prec(scalar_hdl, prec) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      INTEGER (KIND=C_INT)             :: prec
+    END SUBROUTINE cxios_get_scalar_prec
+
+    FUNCTION cxios_is_defined_scalar_prec(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_prec
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_prec
 
 
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/scalargroup_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/scalargroup_interface_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/scalargroup_interface_attr.F90	(revision 1158)
@@ -71,4 +71,23 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
     END FUNCTION cxios_is_defined_scalargroup_name
+
+
+    SUBROUTINE cxios_set_scalargroup_prec(scalargroup_hdl, prec) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: prec
+    END SUBROUTINE cxios_set_scalargroup_prec
+
+    SUBROUTINE cxios_get_scalargroup_prec(scalargroup_hdl, prec) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+      INTEGER (KIND=C_INT)             :: prec
+    END SUBROUTINE cxios_get_scalargroup_prec
+
+    FUNCTION cxios_is_defined_scalargroup_prec(scalargroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalargroup_prec
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+    END FUNCTION cxios_is_defined_scalargroup_prec
 
 
